GetConnectorTelemetrySetup
Generates the artifacts that you use to create the infrastructure in your cloud provider that delivers the telemetry declared in the connector's telemetry manifest. This operation doesn't change any resources in your cloud provider or in AWS.
Request Syntax
POST /GetConnectorTelemetrySetup HTTP/1.1
Content-type: application/json
{
"ConnectorIdentifier": "string",
"Format": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- ConnectorIdentifier
-
The connector whose telemetry manifest you want to generate the setup from. Specify one of the following:
-
The Amazon Resource Name (ARN) of the connector
-
The ID of the connector
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1011.
Pattern:
([a-z0-9]+|arn:aws[a-z0-9\-]*:observabilityadmin:[a-z0-9-]+:[0-9]{12}:connector/(azure/)?[a-z0-9]+)Required: Yes
-
- Format
-
The format of the setup artifacts. If you omit this value, the service uses the default format for the connector's provider (
BICEPfor an Azure connector). If the provider doesn't support the format, the service returns aValidationException.Type: String
Valid Values:
BICEPRequired: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"Artifacts": [
{
"Content": "string",
"ContentType": "string",
"FileName": "string",
"Format": "string"
}
],
"Format": "string",
"ManifestVersion": number,
"Provider": "string",
"RequiredPermissionsToApply": [ "string" ]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- Artifacts
-
The setup artifacts to apply in your cloud provider.
Type: Array of SetupArtifact objects
Array Members: Minimum number of 0 items. Maximum number of 50 items.
- Format
-
The format of the setup artifacts.
Type: String
Valid Values:
BICEP - ManifestVersion
-
The version of the telemetry manifest that the service generated the setup artifacts from.
Type: Long
- Provider
-
The cloud provider that the setup artifacts are for.
Type: String
Valid Values:
AZURE - RequiredPermissionsToApply
-
The permissions or roles in your cloud provider that you need to apply the artifacts, for example Azure Contributor and User Access Administrator.
Type: Array of strings
Array Members: Minimum number of 0 items. Maximum number of 50 items.
Length Constraints: Minimum length of 1. Maximum length of 256.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
Indicates you don't have permissions to perform the requested operation. The user or role that is making the request must have at least one IAM permissions policy attached that grants the required permissions. For more information, see Access management for AWS resources in the IAM user guide.
- amznErrorType
-
The name of the exception.
HTTP Status Code: 400
- InternalServerException
-
Indicates the request has failed to process because of an unknown server error, exception, or failure.
- amznErrorType
-
The name of the exception.
- retryAfterSeconds
-
The number of seconds to wait before retrying the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource (such as a telemetry rule) could not be found.
- ResourceId
-
The identifier of the resource which could not be found.
- ResourceType
-
The type of the resource which could not be found.
HTTP Status Code: 404
- TooManyRequestsException
-
The request throughput limit was exceeded.
HTTP Status Code: 429
- ValidationException
-
Indicates input validation failed. Check your request parameters and retry the request.
- Errors
-
The errors in the input which caused the exception.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: